(*****************************************************************)
(***                      ************                         ***)
(***                      ** Morsen **                         ***)
(***                      ************                         ***)
(***                                                           ***)
(***                   (c) 2002: Sascha Seidel                 ***)
(***                  webmaster@SaschaSeidel.de                ***)
(***                                                           ***)
(***      Dieses Programm gibt Text als Morsezeichen aus.      ***)
(*****************************************************************)

program Morsen (input, output);

uses
 Crt;

var
 C: Char;

procedure Punkt; { Prozedur um Sound fuer Punkt ausgeben }
begin
 Sound(2000);
 Delay(50);
 NoSound;
 Delay(100);
end;

procedure Strich; { Prozedur um Sound fuer Strich ausgeben }
begin
 Sound(2000);
 Delay(200);
 NoSound;
 Delay(100);
end;

procedure Pause; { Prozedur fuer Pause }
begin
 Delay(500);
end;

procedure Morse(C:Char); { Signal des jeweiligen Buchstaben ausgeben }
begin
 case C of
  'a','A': begin Punkt; Strich; end;
  'b','B': begin Strich; Punkt; Punkt; Punkt; end;
  'c','C': begin Strich; Punkt; Strich; Punkt; end;
  'd','D': begin Strich; Punkt; Punkt; end;
  'e','E': begin Punkt; end;
  'f','F': begin Punkt; Punkt; Strich; Punkt; end;
  'g','G': begin Strich; Strich; Punkt; end;
  'h','H': begin Punkt; Punkt; Punkt; Punkt; end;
  'i','I': begin Punkt; Punkt; end;
  'j','J': begin Punkt; Strich; Strich; Strich; end;
  'k','K': begin Strich; Punkt; Strich; end;
  'l','L': begin Punkt; Strich; Punkt; Punkt; end;
  'm','M': begin Strich; Strich; end;
  'n','N': begin Strich; Punkt; end;
  'o','O': begin Strich; Strich; Strich; end;
  'p','P': begin Punkt; Strich; Strich; Punkt; end;
  'q','Q': begin Strich; Strich; Punkt; Strich; end;
  'r','R': begin Punkt; Strich; Punkt; end;
  's','S': begin Punkt; Punkt; Punkt; end;
  't','T': begin Strich; end;
  'u','U': begin Punkt; Punkt; Strich; end;
  'v','V': begin Punkt; Punkt; Punkt; Strich; end;
  'w','W': begin Punkt; Strich; Strich; end;
  'x','X': begin Strich; Punkt; Punkt; Strich; end;
  'y','Y': begin Strich; Punkt; Strich; Strich; end;
  'z','Z': begin Strich; Strich; Punkt; Punkt; end;
 else Pause
 end;
end;

begin  { Hauptprogramm mit Eingabe des Textes und Aufruf des Morsecodes }
 ClrScr;
 checkeof := true;
 WriteLn('Morsen mit Pascal');
 WriteLn('*****************');
 WriteLn('');
 WriteLn('(c) 2002: Sascha Seidel');
 WriteLn('webmaster@SaschaSeidel.de');
 WriteLn('');
 WriteLn('Gib einen Text ein und bestaetige mit [Enter]. (Ende mit [Strg] + [Z])');
  while not eof do
   begin
    Read(C);
    Morse(C);
    Pause;
   end;
end.